Anonymous Login
2016-09-26 00:29 CEST

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
04938Bug reports[All Projects] Survey takingpublic2011-02-17 18:25
Reportertpartner 
Assigned Toc_schmitz 
PrioritynormalSeveritymajor 
StatusclosedResolutionfixed 
Product Version1.91RC3 
Target Version1.91RC4Fixed in Version1.91RC4 
Summary04938: "Auto-check exclusive option" code causes JavaScript crash
DescriptionThe code for the "Auto-check exclusive option" advanced setting causes all JavaScript to crash due to an undefined variable.

The error is:
autoArray.list is undefined
http://192.168.1.109/limeSurveyTest//scripts/survey_runtime.js
Line 68
Steps To ReproduceCreate a multiple-options question, do NOT enable the "Auto-check exclusive option if all others are checked" setting.
Complete LimeSurvey version number (& build)9747
I will donate to the project if issue is resolvedNo
BrowserAll
Database & DB-VersionmySQL - 5.1.41
Operating System (Server)N/A
Webserver software & versionApache - 2.2.14
PHP VersionPHP - 5.3.1
Attached Files
  • patch file icon auto_check_fix.patch (511 bytes) 2011-02-07 22:47 -
    Index: survey_runtime.js
    ===================================================================
    --- survey_runtime.js	(revision 9747)
    +++ survey_runtime.js	(working copy)
    @@ -65,7 +65,7 @@
                 currentMap.panTo(markerLatLng);
             });
             if ((typeof(autoArray) != "undefined")){
    -            if ((autoArray.list.length > 0)){
    +			if (autoArray.list != 'undefined'){
                     var aListOfQuestions = autoArray.list;
     
                     $(aListOfQuestions).each(function(index,element){
    
    patch file icon auto_check_fix.patch (511 bytes) 2011-02-07 22:47 +

-Relationships
+Relationships

-Notes

~14077

tpartner (developer)

Carsten, I'm not sure who did this feature but I've attached a small patch. Should I go ahead and apply it?

~14084

user9586

I think that's related to 04893. Could you please see if my change proposed in the comment fixes the issue? (I don't think you patch is necessary).

~14089

mdekker (developer)

Fixed in svn 9748 using javascript fix by tpartner and code fix by wavexx

~14229

c_schmitz (administrator)

1.91RC4 released
+Notes

-Issue History
Date Modified Username Field Change
2011-02-07 19:30 tpartner New Issue
2011-02-07 19:30 tpartner File Added: auto_check_fix.patch
2011-02-07 19:30 tpartner Assigned To => c_schmitz
2011-02-07 19:30 tpartner Status new => assigned
2011-02-07 19:31 tpartner Note Added: 14077
2011-02-07 22:46 tpartner File Deleted: auto_check_fix.patch
2011-02-07 22:47 tpartner File Added: auto_check_fix.patch
2011-02-08 12:04 user9586 Note Added: 14084
2011-02-08 13:46 mdekker Note Added: 14089
2011-02-08 13:46 mdekker Status assigned => resolved
2011-02-08 13:46 mdekker Fixed in Version => 1.91RC4
2011-02-08 13:46 mdekker Resolution open => fixed
2011-02-17 18:25 c_schmitz Note Added: 14229
2011-02-17 18:25 c_schmitz Status resolved => closed
+Issue History